Skip to main content

Movements API (v1)

Download OpenAPI specification:Download

API for transactions and details on wallets (v1.162.0)

Calculations

CalculateStoreAmounts

Calculations of amounts of a store in a given date range

path Parameters
storeId
required
string <uuid>

Store identifier

query Parameters
fromDate
required
string <date-time>

From date range filter

toDate
required
string <date-time>

To date range filter

Responses

Response samples

Content type
{
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "storeAmount": 0.1,
  • "feesAmounts": [
    ]
}

CalculatePartnerAmountsPerTransactionType

Calculations of Partner transactions total amounts per transaction type

query Parameters
fromDate
required
string <date-time>

From date range filter

toDate
required
string <date-time>

To date range filter

Responses

Response samples

Content type
{
  • "property1": 0.1,
  • "property2": 0.1
}

Diagnostics

GetDiagnosticsInfo

Get current platform diagnostics data

Responses

Response samples

Content type
{
  • "applicationName": "string",
  • "applicationVersion": "string",
  • "environment": "string",
  • "properties": {
    }
}

Transactions

GetPartnerTransactions

Returns a list of all transactions of the partner

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
Array of strings

(Optional) filter for different operation types

transactionType
Array of strings

(Optional) filter for different transaction types

transferId
string

(Optional) filter on the CoreBanking transfer identifier

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

GetPartnerTransactionsCount

Get transactions count within a date range for the current Partner

query Parameters
fromDate
string <date-time>

Start date of the counting range

toDate
string <date-time>

End date of the counting range

operationType
Array of strings

(Optional) filter for different operation types

transactionType
Array of strings

(Optional) filter for different transaction types

transferId
string

(Optional) filter on the CoreBanking transfer identifier

Responses

Response samples

Content type
{
  • "value": 0
}

GetPartnerTransactionsForecast

Gets the total transactions forecast count for the current Partner, this is done by counting all transactions up until now and then estimating linearly (after rounding) the total count up until the given forecast date

query Parameters
forecastDate
required
string <date>

Forecast date

Responses

Response samples

Content type
{
  • "value": 0
}

GetDealerTransactions

Returns a list of transactions on specified dealer

path Parameters
dealerKey
required
string

Identifier of dealer

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
Array of strings

(Optional) filter for different operation types

transactionType
Array of strings

(Optional) filter for different transaction types

transferId
string

(Optional) filter on the CoreBanking transfer identifier

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

GetDealerTransactionsCount

Get transactions count on a specific dealer within a date range

path Parameters
dealerKey
required
string

Dealer identifier

query Parameters
fromDate
string <date-time>

Start date of the counting range

toDate
string <date-time>

End date of the counting range

operationType
Array of strings

(Optional) filter for different operation types

transactionType
Array of strings

(Optional) filter for different transaction types

transferId
string

(Optional) filter on the CoreBanking transfer identifier

Responses

Response samples

Content type
{
  • "value": 0
}

GetWalletTransactions

Returns a list of all transactions on specified wallet

path Parameters
walletId
required
string <uuid>

Identifier of wallet

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
Array of strings

(Optional) filter for different operation types

transactionType
Array of strings

(Optional) filter for different transaction types

transferId
string

(Optional) filter on the CoreBanking transfer identifier

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

GetWalletTransactionsCount

Get transactions count within a date range

path Parameters
walletId
required
string <uuid>

Wallet identifier

query Parameters
fromDate
string <date-time>

Start date of the counting range

toDate
string <date-time>

End date of the counting range

operationType
Array of strings

(Optional) filter for different operation types

transactionType
Array of strings

(Optional) filter for different transaction types

transferId
string

(Optional) filter on the CoreBanking transfer identifier

Responses

Response samples

Content type
{
  • "value": 0
}

GetWalletTransaction

Get single transaction details, and possible fees with their details

path Parameters
walletId
required
string <uuid>

Wallet identifier

transactionId
required
integer <int64>

Transaction identifier

Responses

Response samples

Content type
{
  • "fees": [
    ],
  • "transactionId": 0,
  • "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
  • "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  • "partnerKey": "string",
  • "dealerKey": "string",
  • "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  • "creationDate": "2019-08-24T14:15:22Z",
  • "transactionType": "string",
  • "operationType": "string",
  • "transactionStatus": "string",
  • "amount": 0.1,
  • "income": true,
  • "parentId": 0,
  • "confirmationDate": "2019-08-24T14:15:22Z",
  • "completionDate": "2019-08-24T14:15:22Z",
  • "metadata": {
    },
  • "transferId": "string",
  • "transferCompletionDate": "2019-08-24",
  • "transferCreditorAccountNumber": "string",
  • "transferDebtorAccountNumber": "string",
  • "transferTransactionReference": "string",
  • "tags": {
    }
}

GetWalletOperationTransactions

Returns a list of all transactions associated to the given Operation of the selected Wallet

path Parameters
walletId
required
string <uuid>

Wallet identifier

operationId
required
string <uuid>

Operation identifier

Responses

Response samples

Content type
[
  • {
    }
]

GetStoreTransactions

Returns a list of transactions on specified store

path Parameters
storeId
required
string <uuid>

Identifier of store

query Parameters
fromDate
string <date-time>

From date range filter

toDate
string <date-time>

To date range filter

pageSize
integer <int32>
Default: 50

Number of Transactions per page

pageNumber
integer <int32>
Default: 0

Zero-based page number

operationType
Array of strings

(Optional) filter for different operation types

transactionType
Array of strings

(Optional) filter for different transaction types

transactionStatus
string
Enum: "Confirmed" "Completed"

(Optional) filter for transaction status

transferId
string

(Optional) filter on the CoreBanking transfer identifier

Responses

Response samples

Content type
{
  • "totalCount": 0,
  • "limitCount": 0,
  • "items": [
    ]
}

GetStoreTransactionsCount

Get transactions count on a specific store within a date range

path Parameters
storeId
required
string <uuid>

Store identifier

query Parameters
fromDate
string <date-time>

Start date of the counting range

toDate
string <date-time>

End date of the counting range

operationType
Array of strings

(Optional) filter for different operation types

transactionType
Array of strings

(Optional) filter for different transaction types

transactionStatus
string
Enum: "Confirmed" "Completed"

(Optional) filter for transaction status

transferId
string

(Optional) filter on the CoreBanking transfer identifier

Responses

Response samples

Content type
{
  • "value": 0
}